Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRendererCollection Class Reference

`#include <vtkRendererCollection.h>`

Inheritance diagram for vtkRendererCollection:

[legend]
Collaboration diagram for vtkRendererCollection:

[legend]
List of all members.

## Detailed Description

a list of renderers

Date:
  2002/08/29 14:51:35

Revision:
  1.44

vtkRendererCollection represents and provides methods to manipulate a list of renderers (i.e., vtkRenderer and subclasses). The list is unsorted and duplicate entries are not prevented.

See also:
  vtkRenderer vtkCollection

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (57%)
  - Childs, Hank (15%)
  - Schroeder, Will (10%)
  - Avila, Lisa (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkRendererCollection.cxx)`
  - .`h` (`/Rendering/vtkRendererCollection.h)`

Definition at line 49 of file vtkRendererCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Render ()
void | AddItem (vtkRenderer *a)
vtkRenderer * | GetNextItem ()
## Static Public Methods
vtkRendererCollection * | New ()
int | IsTypeOf (const char *type)
vtkRendererCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRendererCollection ()
| ~vtkRendererCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkRendererCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 53 of file vtkRendererCollection.h.

## Constructor & Destructor Documentation

vtkRendererCollection::vtkRendererCollection | ( |  | ) | `[inline, protected]`

| Definition at line 73 of file vtkRendererCollection.h.

vtkRendererCollection::~vtkRendererCollection | ( |  | ) | `[inline, protected]`

| Definition at line 74 of file vtkRendererCollection.h.

## Member Function Documentation

vtkRendererCollection* vtkRendererCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkRendererCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkRendererCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkRendererCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkRendererCollection* vtkRendererCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

virtual void vtkRendererCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollection.

void vtkRendererCollection::AddItem | ( | vtkRenderer * | a | ) | `[inline]`

| Add a Renderer to the list. Definition at line 58 of file vtkRendererCollection.h. References vtkCollection::AddItem().

vtkRenderer* vtkRendererCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next Renderer in the list. Return NULL when at the end of the list. Definition at line 65 of file vtkRendererCollection.h. References vtkCollection::GetNextItemAsObject().

void vtkRendererCollection::Render | ( |  | ) |

| Forward the Render() method to each renderer in the list.

The documentation for this class was generated from the following file:

- Rendering/vtkRendererCollection.h